/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// SignInArgs struct for SignInArgs
type SignInArgs struct {
	Email string `json:"email"`
	Password string `json:"password"`
}

// NewSignInArgs instantiates a new SignInArgs object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSignInArgs(email string, password string) *SignInArgs {
	this := SignInArgs{}
	this.Email = email
	this.Password = password
	return &this
}

// NewSignInArgsWithDefaults instantiates a new SignInArgs object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSignInArgsWithDefaults() *SignInArgs {
	this := SignInArgs{}
	return &this
}

// GetEmail returns the Email field value
func (o *SignInArgs) GetEmail() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Email
}

// GetEmailOk returns a tuple with the Email field value
// and a boolean to check if the value has been set.
func (o *SignInArgs) GetEmailOk() (*string, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Email, true
}

// SetEmail sets field value
func (o *SignInArgs) SetEmail(v string) {
	o.Email = v
}

// GetPassword returns the Password field value
func (o *SignInArgs) GetPassword() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Password
}

// GetPasswordOk returns a tuple with the Password field value
// and a boolean to check if the value has been set.
func (o *SignInArgs) GetPasswordOk() (*string, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Password, true
}

// SetPassword sets field value
func (o *SignInArgs) SetPassword(v string) {
	o.Password = v
}

func (o SignInArgs) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if true {
		toSerialize["email"] = o.Email
	}
	if true {
		toSerialize["password"] = o.Password
	}
	return json.Marshal(toSerialize)
}

type NullableSignInArgs struct {
	value *SignInArgs
	isSet bool
}

func (v NullableSignInArgs) Get() *SignInArgs {
	return v.value
}

func (v *NullableSignInArgs) Set(val *SignInArgs) {
	v.value = val
	v.isSet = true
}

func (v NullableSignInArgs) IsSet() bool {
	return v.isSet
}

func (v *NullableSignInArgs) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSignInArgs(val *SignInArgs) *NullableSignInArgs {
	return &NullableSignInArgs{value: val, isSet: true}
}

func (v NullableSignInArgs) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSignInArgs) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


